Faiss

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

- All
- Functions
- Variables
- Typedefs
- Enumerations
- Enumerator
- Related Functions

- a
- c
- d
- e
- f
- g
- h
- i
- k
- l
- m
- n
- o
- p
- q
- r
- s
- t
- u
- v
- w
- z
- ~

All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator Friends

### - s -

- search() : faiss::gpu::GpuIndex , faiss::gpu::GpuIndexFlat , faiss::Index , faiss::IndexFlat1D , faiss::MultiIndexQuantizer , faiss::MultiIndexQuantizer2 , faiss::HNSW , faiss::IndexScalarQuantizer , faiss::IndexIDMap , faiss::IndexFlat , faiss::IndexHNSW , faiss::IndexShards , faiss::IndexSplitVectors , faiss::IndexHNSW2Level , faiss::ProductQuantizer , faiss::IndexPreTransform , faiss::gpu::IndexProxy , faiss::IndexFlatL2BaseShift , faiss::IndexIVF , faiss::Index2Layer , faiss::IndexRefineFlat , faiss::IndexLSH , faiss::IndexPQ
- search_and_reconstruct() : faiss::Index , faiss::IndexIVF , faiss::IndexPreTransform
- search_ip() : faiss::ProductQuantizer
- search_level_0() : faiss::IndexHNSW
- search_preassigned() : faiss::IndexIVFPQR , faiss::IndexIVFScalarQuantizer , faiss::IndexIVF , faiss::IndexIVFFlat , faiss::IndexIVFPQ
- searchFromCpuPaged_() : faiss::gpu::GpuIndexFlat
- searchImpl_() : faiss::gpu::GpuIndex , faiss::gpu::GpuIndexFlat , faiss::gpu::GpuIndexIVFFlat , faiss::gpu::GpuIndexIVFPQ
- set() : faiss::VisitedTable
- set_default_probas() : faiss::HNSW
- set_derived_values() : faiss::ProductQuantizer
- set_groundtruth() : faiss::AutoTuneCriterion
- set_index_parameter() : faiss::ParameterSpace , faiss::gpu::GpuParameterSpace
- set_index_parameters() : faiss::ParameterSpace
- set_is_orthonormal() : faiss::LinearTransform
- set_lims() : faiss::RangeSearchPartialResult
- set_nb_neighbors() : faiss::HNSW
- set_params() : faiss::ProductQuantizer
- set_query() : faiss::GenericDistanceComputer , faiss::Distance2Level , faiss::FlatL2Dis , faiss::SQDis , faiss::PQDis , faiss::HNSW::DistanceComputer
- set_result() : faiss::RangeSearchPartialResult
- setDefaultNullStreamAllDevices() : faiss::gpu::StandardGpuResources
- setDefaultStream() : faiss::gpu::StandardGpuResources
- setMinPagingSize() : faiss::gpu::GpuIndexFlat
- setNumProbes() : faiss::gpu::GpuIndexIVF
- setPinnedMemory() : faiss::gpu::StandardGpuResources
- setPrecomputedCodes() : faiss::gpu::IVFPQ , faiss::gpu::GpuIndexIVFPQ
- setTempMemory() : faiss::gpu::StandardGpuResources
- setTempMemoryFraction() : faiss::gpu::StandardGpuResources
- SimulatedAnnealingOptimizer() : faiss::SimulatedAnnealingOptimizer
- sizes() : faiss::gpu::Tensor< T, Dim, InnerContig, IndexT, PtrTraits >
- Stack() : faiss::gpu::StackDeviceMemory::Stack
- StackDeviceMemory() : faiss::gpu::StackDeviceMemory
- stop() : faiss::gpu::WorkerThread
- streamWaitOnEvent() : faiss::gpu::CudaEvent
- strides() : faiss::gpu::Tensor< T, Dim, InnerContig, IndexT, PtrTraits >
- symmetric_dis() : faiss::HNSW::DistanceComputer
- syncDefaultStream() : faiss::gpu::GpuResources
- syncDefaultStreamCurrentDevice() : faiss::gpu::GpuResources